LibreOffice: ExpandContentProvider Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Included Services | List of all members
ExpandContentProvider Service Reference

The Expand Content Provider implements a ContentProvider for the UniversalContentBroker (UCB). More...

`import"ExpandContentProvider.idl";`

Inheritance diagram for ExpandContentProvider:

## Included Services
service | ContentProvider

## Additional Inherited Members
Exported Interfaces inherited from ContentProvider
interface | com::sun::star::ucb::XContentProvider
| gives access to all contents provided by this provider. More...
interface | com::sun::star::ucb::XContentIdentifierFactory
| creates special XContentIdentifier implementation objects for the contents provided by this content provider. More...
interface | com::sun::star::ucb::XParameterizedContentProvider
| allows a ContentProvider to adjust itself to special needs. More...
Public Member Functions inherited from XContentProvider
com::sun::star::ucb::XContent | queryContent ([in] com::sun::star::ucb::XContentIdentifier Identifier) raises ( com::sun::star::ucb::IllegalIdentifierException )
| creates a new XContent instance, if the given XContentIdentifier matches a content provided by the implementation of this interface. More...
long | compareContentIds ([in] com::sun::star::ucb::XContentIdentifier Id1, [in] com::sun::star::ucb::XContentIdentifier Id2)
| compares two XContentIdentifiers. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XContentIdentifierFactory
com::sun::star::ucb::XContentIdentifier | createContentIdentifier ([in] string ContentId)
| creates an identifier. More...
Protected Member Functions inherited from XParameterizedContentProvider
com::sun::star::ucb::XContentProvider | registerInstance ([in] string Template, [in] string Arguments, [in] boolean ReplaceExisting) raises (com::sun::star::lang::IllegalArgumentException)
| Register a content provider on a URL template and supplementary arguments. More...
com::sun::star::ucb::XContentProvider | deregisterInstance ([in] string Template, [in] string Arguments) raises (com::sun::star::lang::IllegalArgumentException)
| Deregisters a content provider. More...

## Detailed Description

The Expand Content Provider implements a ContentProvider for the UniversalContentBroker (UCB).

It provides access to content via macrofied URLs, e.g. vnd.sun.star.expand://$UNO_USER_PACKAGES/abc.

Macros which will be expanded using the singleton /singletons/com.sun.star.util.theMacroExpander of the process's initial component context.

See also
  Content

## Exported Interfaces

## ◆ ContentProvider

service ContentProvider

The documentation for this service was generated from the following file:

- com/sun/star/ucb/ExpandContentProvider.idl